org.eclipse.net4j.buffer

## Interface IBufferProvider.Notification.BufferRetainingEvent

- All Superinterfaces:
    IEvent
  Enclosing interface:
    IBufferProvider.Notification

      public static interface IBufferProvider.Notification.BufferRetainingEvent
      extends IEvent

  An `event` fired from a `buffer provider` to indicate that a buffer is about to be retained.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IBuffer` | `getBuffer()`
    `IBufferProvider.Notification` | `getSource()`

- - ### Method Detail

    - #### getSource

          IBufferProvider.Notification getSource()

      Specified by:
        `getSource` in interface `IEvent`

    - #### getBuffer

          IBuffer getBuffer()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html